Cards, prop trading & accounting

Prop Trading Get Funding Quote

Builds the firm's funding quote (obligations, converted totals via Xe rates) plus payment reference and instructions.

POSThttps://api.toku.com/hris/prop-trading-get-funding-quote

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/prop-trading-get-funding-quote' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fundingCurrencies": [
    "string"
  ]
}'
200 response
{
  "byCurrency": [
    {
      "currencyCode": "string",
      "required": "string",
      "recorded": "string",
      "committed": "string",
      "paid": "string",
      "available": "string",
      "shortfall": "string",
      "pendingPayoutCount": 0
    }
  ],
  "traderReceipts": [
    {
      "payoutCurrency": "string",
      "legCount": 0,
      "indicativeAmount": "string",
      "pairs": [
        {
          "importCurrency": "string",
          "midRate": "string",
          "markupBps": 0,
          "effectiveRate": "string",
          "ratePulledAt": "string"
        }
      ]
    }
  ],
  "fundingConversions": [
    {
      "fundingCurrency": "string",
      "importCurrency": "string",
      "shortfall": "string",
      "midRate": "string",
      "markupBps": 0,
      "effectiveRate": "string",
      "indicativeAmount": "string",
      "ratePulledAt": "string"
    }
  ],
  "markupBps": 0,
  "quotedAt": "string",
  "warnings": [
    "XE_NOT_CONFIGURED"
  ],
  "fundingCurrencies": [
    "string"
  ],
  "fundingInstructions": {
    "reference": "string",
    "text": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

fundingCurrenciesstring[]

Allowed: at most 10 items

Response

200Successful response
byCurrencyobject[]required
Show child attributes
currencyCodestringrequired
requiredstringrequired

Allowed: matches ^-?\d+(\.\d+)?$

recordedstringrequired

Allowed: matches ^-?\d+(\.\d+)?$

committedstringrequired

Allowed: matches ^-?\d+(\.\d+)?$

paidstringrequired

Allowed: matches ^-?\d+(\.\d+)?$

availablestringrequired

Allowed: matches ^-?\d+(\.\d+)?$

shortfallstringrequired

Allowed: matches ^-?\d+(\.\d+)?$

pendingPayoutCountintegerrequired
traderReceiptsobject[]required
Show child attributes
payoutCurrencystringrequired
legCountintegerrequired
indicativeAmountstring | nullrequired

Allowed: matches ^-?\d+(\.\d+)?$

pairsobject[]required
Show child attributes
importCurrencystringrequired
midRatestring | nullrequired

Allowed: matches ^-?\d+(\.\d+)?$

markupBpsintegerrequired
effectiveRatestring | nullrequired

Allowed: matches ^-?\d+(\.\d+)?$

ratePulledAtstring | nullrequired
fundingConversionsobject[]required
Show child attributes
fundingCurrencystringrequired
importCurrencystringrequired
shortfallstringrequired

Allowed: matches ^-?\d+(\.\d+)?$

midRatestring | nullrequired

Allowed: matches ^-?\d+(\.\d+)?$

markupBpsintegerrequired
effectiveRatestring | nullrequired

Allowed: matches ^-?\d+(\.\d+)?$

indicativeAmountstring | nullrequired

Allowed: matches ^-?\d+(\.\d+)?$

ratePulledAtstring | nullrequired
markupBpsintegerrequired
quotedAtstringrequired
warningsstring[]required
fundingCurrenciesstring[]required
fundingInstructionsobjectrequired
Show child attributes
referencestringrequired
textstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits